Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(257)

Issue 150188: Use native Cocoa tooltips instead of Mozilla's ToolTip class. (Closed)

Created:
10 years ago by Jens
Modified:
8 years, 2 months ago
CC:
chromium-reviews_googlegroups.com, John Grabowski, darin (slow to review), Ben Goodger (Google)
Visibility:
Public.

Description

Use native Cocoa tooltips instead of Mozilla's ToolTip class. This makes tooltips behave more normally, and fixes some of the bugs. BUG=15655 TEST=none

Patch Set 1 #

Patch Set 2 : '' #

Total comments: 16

Patch Set 3 : '' #

Total comments: 10

Patch Set 4 : '' #

Total comments: 13

Patch Set 5 : '' #

Patch Set 6 : '' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+201 lines, -306 lines) Patch
M chrome/browser/renderer_host/render_widget_host_view_mac.h View 1 2 3 2 chunks +7 lines, -5 lines 0 comments Download
M chrome/browser/renderer_host/render_widget_host_view_mac.mm View 1 2 3 4 5 7 chunks +194 lines, -31 lines 0 comments Download
M chrome/chrome.gyp View 1 2 3 1 chunk +0 lines, -2 lines 0 comments Download
D third_party/mozilla/include/ToolTip.h View 1 2 3 1 chunk +0 lines, -57 lines 0 comments Download
D third_party/mozilla/include/ToolTip.mm View 1 2 3 1 chunk +0 lines, -211 lines 0 comments Download

Messages

Total messages: 13 (0 generated)
Jens
10 years ago (2009-07-01 22:59:15 UTC) #1
pink (ping after 24hrs)
http://codereview.chromium.org/150188/diff/8/1007 File chrome/browser/renderer_host/render_widget_host_view_mac.h (right): http://codereview.chromium.org/150188/diff/8/1007#newcode39 Line 39: id trackingRectOwner_; can you describe how these are ...
10 years ago (2009-07-02 19:58:23 UTC) #2
Evan Martin
http://codereview.chromium.org/150188/diff/8/1008 File chrome/browser/renderer_host/render_widget_host_view_mac.mm (right): http://codereview.chromium.org/150188/diff/8/1008#newcode531 Line 531: /* Below is the nasty tooltip stuff -- ...
10 years ago (2009-07-02 20:05:29 UTC) #3
Jens
http://codereview.chromium.org/150188/diff/8/1007 File chrome/browser/renderer_host/render_widget_host_view_mac.h (right): http://codereview.chromium.org/150188/diff/8/1007#newcode39 Line 39: id trackingRectOwner_; On 2009/07/02 19:58:23, pink wrote: > ...
10 years ago (2009-07-02 22:38:08 UTC) #4
pink (ping after 24hrs)
LGTM with nits fixed. If you can't figure out what the overrides are doing, that's ...
10 years ago (2009-07-06 15:31:36 UTC) #5
Jens
http://codereview.chromium.org/150188/diff/3002/3004 File chrome/browser/renderer_host/render_widget_host_view_mac.mm (right): http://codereview.chromium.org/150188/diff/3002/3004#newcode544 Line 544: // Override of a public NSView method, replacing ...
10 years ago (2009-07-06 17:19:53 UTC) #6
pink (ping after 24hrs)
LGTM
10 years ago (2009-07-06 19:08:23 UTC) #7
Mark Mentovai
http://codereview.chromium.org/150188/diff/3008/3010 File chrome/browser/renderer_host/render_widget_host_view_mac.mm (right): http://codereview.chromium.org/150188/diff/3008/3010#newcode550 Line 550: /* Below is the nasty tooltip stuff -- ...
10 years ago (2009-07-06 19:45:20 UTC) #8
Jens
http://codereview.chromium.org/150188/diff/3008/3010 File chrome/browser/renderer_host/render_widget_host_view_mac.mm (right): http://codereview.chromium.org/150188/diff/3008/3010#newcode550 Line 550: /* Below is the nasty tooltip stuff -- ...
10 years ago (2009-07-06 20:52:51 UTC) #9
brettw
http://codereview.chromium.org/150188/diff/3008/3010 File chrome/browser/renderer_host/render_widget_host_view_mac.mm (right): http://codereview.chromium.org/150188/diff/3008/3010#newcode550 Line 550: /* Below is the nasty tooltip stuff -- ...
10 years ago (2009-07-06 21:01:37 UTC) #10
Jens
http://codereview.chromium.org/150188/diff/3008/3010 File chrome/browser/renderer_host/render_widget_host_view_mac.mm (right): http://codereview.chromium.org/150188/diff/3008/3010#newcode550 Line 550: /* Below is the nasty tooltip stuff -- ...
10 years ago (2009-07-06 21:12:46 UTC) #11
Mark Mentovai
lgtm
10 years ago (2009-07-06 21:17:56 UTC) #12
pink (ping after 24hrs)
10 years ago (2009-07-07 11:54:02 UTC) #13
pushed as r20019

Powered by Google App Engine
This is Rietveld 408576698